##  for PCLinuxOS  ##

%define ver 0.2.3
%define rel 1

%define git_date 0
%if %{git_date}
%define realrel %{rel}.git%{git_date}.nora17
%else
%define realrel  %{rel}.nora17
%endif

%define fcitx_ver 4.2.9.3
%define anthy_ver 9100h

Name:    fcitx-anthy
Summary: Japanese Anthy IME Wrapper for Fcitx
Version: %{ver}
Release: %{realrel}
License: GPLv2+
Group:   System/Internationalization
URL:     https://github.com/fcitx/fcitx-anthy
%if %{git_date}
Source0: %{name}-git%{git_date}.tar.xz
%else
Source0: http://download.fcitx-im.org/%{name}/%{name}-%{version}.tar.xz
%endif

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: fcitx-devel >= %{fcitx_ver}
BuildRequires: anthy-devel >= %{anthy_ver}
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: gettext
BuildRequires: intltool
Requires: fcitx >= %{fcitx_ver}
Requires: anthy >= %{anthy_ver}

%description
fcitx-anthy is a Japanese Anthy IME Wrapper for Fcitx.


%prep
%if %{git_date}
%setup -q -n %{name}-git%{git_date}
%else
%setup -q
%endif


%build
%cmake
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README
%{_libdir}/fcitx/fcitx-anthy.so
%{_datadir}/fcitx/*
%{_iconsdir}/*


%changelog
* Sat Sep 16 2017 tomcat <> 0.2.3-1
- 0.2.3
- fix URL

* Tue Jun 27 2017 tomcat <> 0.2.2-2.git20161229
- update to git.20161229
- use %%make_build instead of %%make

* Tue May 26 2015 tomcat <> 0.2.2-1
- update to 0.2.2

* Fri May 15 2015 tomcat <> 0.2.1-3.git20150515
- update to git.20150515

* Sun Jul 27 2014 tomcat <> 0.2.1-2.git20140706
- update to git.20140706

* Mon May 19 2014 tomcat <> 0.2.1-1
- update to 0.2.1
- build with fcitx-4.2.8.4

* Fri Jul 19 2013 tomcat <> 0.2.0-2
- rebuild with fcitx-4.2.8.1

* Tue Jul 02 2013 tomcat <> 0.2.0-1
- update to 0.2.0
- build with fcitx-4.2.8

* Sun Feb 17 2013 tomcat <> 0.1.1-1
- initial build for PCLinuxOS
- build with fcitx-4.2.7

